AWSTemplateFormatVersion: 2010-09-09
Resources:
  efs:
    Type: 'AWS::EFS::FileSystem'
    Properties:
      Encrypted: true
      FileSystemTags:
        - Key: Name
          Value: EFS
      PerformanceMode: generalPurpose
    Metadata:
      'AWS::CloudFormation::Designer':
        id: 4a728883-8044-416c-96ea-2303957c3505
  mount1:
    Type: 'AWS::EFS::MountTarget'
    Properties:
      SecurityGroups:
        - !Ref EFSSecuritygroupid
      SubnetId: !Ref dbnet1id
      FileSystemId: !Ref efs
    Metadata:
      'AWS::CloudFormation::Designer':
        id: 6f112f22-0231-4aca-88a5-4f42c17a55e2
  mount2:
    Type: 'AWS::EFS::MountTarget'
    Properties:
      SecurityGroups:
        - !Ref EFSSecuritygroupid
      SubnetId: !Ref dbnet2id
      FileSystemId: !Ref efs
    Metadata:
      'AWS::CloudFormation::Designer':
        id: 07c20ea7-136d-433b-bf71-50b4c7d9636a
Parameters:
  EFSSecuritygroupid:
    Type: String
  dbnet1id:
    Type: String
  dbnet2id:
    Type: String
